> For the complete documentation index, see [llms.txt](https://docs.commercelayer.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.commercelayer.io/core-api-reference/2026-05/vertex_accounts.md).

# Vertex accounts

The Vertex account object and the allowed CRUD operations on the related resource endpoint

Configure your [Vertex](https://www.vertexinc.com/) account to automatically compute tax calculations for the orders of the associated market. Set the `client_id` and `client_secret` attributes with your Vertex account credentials — if your deployment requires it, also set the `audience` attribute to the OAuth audience expected by the token request.

Based on the [Vertex O Series](https://www.vertexinc.com/solutions/products/vertex-indirect-tax-o-series) type of solution you choose (set via the `kind` attribute, default `cloud`), the configuration might slightly differ — for example, in the base URL used to build the endpoint the integration calls to request an access token (exposed as the read-only `api_endpoint` attribute). Specifically, as detailed in the [Vertex API documentation](https://developer.vertexinc.com/oseries/docs/authentication-os#local-token-caching):

<table><thead><tr><th width="200">Series</th><th width="140">Kind</th><th>URL</th></tr></thead><tbody><tr><td><strong>O Series Cloud</strong></td><td><code>cloud</code></td><td>Fixed URL with no base URL attached.</td></tr><tr><td><strong>O Series On-Demand</strong></td><td><code>on_demand</code></td><td>The base URL is a second-level domain.</td></tr><tr><td><strong>O Series On-Premise</strong></td><td><code>on_premise</code></td><td>You need to use your full server domain as the base URL.</td></tr></tbody></table>

{% hint style="warning" %}
As mentioned above, the `baseurl` attribute is optional only if `kind` is `cloud`.
{% endhint %}

{% hint style="info" %}
The access token automatically expires at the time recorded in `token_expires_at`. You can force an early refresh by passing the `_refresh_token` trigger attribute. Optionally, set `commit_invoice` to `true` to have transactions recorded and visible on the Vertex website.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.commercelayer.io/core-api-reference/2026-05/vertex_accounts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
